Ecualizador en Amarok 2.2 en Kubuntu 9.10

Enviado por stalker el 9 Octubre, 2009 - 15:10.

Amarok 2.2 ya incorpora ecualizador, pero aún no funciona en Kubuntu 9.10 Karmic Koala porque la versión de phonon que se encuentra en los repositorios, no lo soporta.

Como no me apetecía esperar, he decidido compilar phonon en su versión más reciente. Yo uso el backend Xine para Phonon, pero también se puede utilizar Gstreamer.

Primero instalamos algunos paquetes necesarios o recomendables (yo no he necesitado instalar más, pero quizás se utilizan otros paquetes que yo ya tenía instalados...):

sudo aptitude install cmake qt4-qmake build-essential libxml2-dev subversion libxine-dev libphonon-dev libqt4-dev libglib2.0-0 libglib2.0-dev libqt4-opengl-dev automoc libxcb1-dev

Después descargamos Phonon:

svn checkout svn://anonsvn.kde.org/home/kde/trunk/kdesupport/phonon

Esto creará la carpeta phonon en el directorio en el que hemos ejecutado el comando anterior.

Después ejecutamos:

cd phonon

Ahora creamos una carpeta en la que realizar la compilación:

mkdir build

Y entramos en ella:

cd build

Por último, compilamos e instalamos:

cmake -DCMAKE_INSTALL_PREFIX=$KDEDIR ..
make
sudo make install

Y esto es lo que conseguimos (pulsar sobre las imágenes para verlas a mayor tamaño).

¡El tan ansiado (por muchos) ecualizador de Amarok 2 ya es una realidad!

EDITO: Edito para añadir más paquetes a la lista de paquetes necesarios y para mejorar el proceso de compilado e instalación. Tal y como estaba antes era correcto, pero utilizar la carpeta auxiliar build para compilar es más acertado.

Imagen de CHuLoYo
Enviado por CHuLoYo el 9 Octubre, 2009 - 15:54.

Bueno bueno, ya era hora!!!
Llevo preguntándome qué era del ecualizador desde la maldita 1.98 (le llamaron luego la 2.0 xD)

Un saludo y mil gracias!

PD: Hay que tener sólo build-essential instalado o hace falta algún compilador más para compilar phonon?

Imagen de stalker
Enviado por stalker el 9 Octubre, 2009 - 15:58.
CHuLoYo escribió:

Bueno bueno, ya era hora!!!
Llevo preguntándome qué era del ecualizador desde la maldita 1.98 (le llamaron luego la 2.0 xD)

Un saludo y mil gracias!

PD: Hay que tener sólo build-essential instalado o hace falta algún compilador más para compilar phonon?

Tienes que tener instalado cmake... Por cierto, lo voy a incluir en la lista de paquetes que hay que instalar wink

Imagen de YAFU
Enviado por YAFU el 9 Octubre, 2009 - 16:27.

Que bueno!!! Ecualizadores, una materia un poco olvidadas en Linux. Yo aún sigo esperando un buen ecualizador general con GUI para ALSA que se aplique a todo el sistema, algo similar a lo que traen los drivers para el ventanitas...

Saludos!

Imagen de abuhacker
Enviado por abuhacker el 9 Octubre, 2009 - 16:35.

hace meses que mi esposo clama por un ecualizador!!!!gracias Stalker!!

Imagen de siddharta
Enviado por siddharta el 9 Octubre, 2009 - 18:00.
stalker escribió:

Tienes que tener instalado cmake [...]

Últimamente veo en el foro muchos comentarios acerca de la necesidad de cmake para compilar. ¿Esto a partir de cuándo o en qué ocasiones es?, porque yo sólo uso el tradicional:

$ ./configure
$ make
$ sudo make install

en 8.04 (Hardy Heron) y no he tenido ningún problema hasta ahora.

confuso

Imagen de shaola
Enviado por shaola el 9 Octubre, 2009 - 18:04.

aunque no tengo datos fiables, la propia experiencia me dice que las nuevas librerias qt que utilizan kde4 requieren de cmake para compilar los programas, es decir, todo aquello relacionado con kde4 que he compilado se hace con cmake, el resto de aplicaciones o drivers siguen usando el clásico make, como tu estás con hardy no te has encontrado todavía con ninguna situación que requiera cmake.

Imagen de siddharta
Enviado por siddharta el 9 Octubre, 2009 - 18:23.
shaola escribió:

[...] la propia experiencia me dice que las nuevas librerias qt que utilizan kde4 requieren de cmake para compilar los programas, es decir, todo aquello relacionado con kde4 que he compilado se hace con cmake [...]

Gracias shaola.

Imagen de serbuntu
Enviado por serbuntu el 9 Octubre, 2009 - 18:52.

Ahora nadie puede dudar de lo que es Amarok para nuestros oidos.. Saludos

Imagen de stalker
Enviado por stalker el 9 Octubre, 2009 - 19:22.

En este caso, el código viene preparado para utilizar cmake. Dentro de la carpeta phonon se encuentra un archivo que se llama "CMakeCache.txt", por ejemplo. Creo que cmake es multiplataforma y a lo mejor KDE ha elegido cmake precisamente por eso (hay que recordar que también hay KDE para Windows...). Pero vamos, que no tengo ni idea realmente wink

Conozco a varias personas que siguen usando Amarok 1.4 porque el 2 no tenía ecualizador. También he visto muchos comentarios de algunos usuarios en kubuntu-es mencionando lo mismo. Yo la verdad es que no lo necesito especialmente. No soy demasiado exigente con la calidad del sonido... con poco me conformo smile

Un saludo

Imagen de strange1712
Enviado por strange1712 el 10 Octubre, 2009 - 03:15.

Vale, muy buena noticia, en verdad que es necesario un ecualizador. Amarok2, junto con KDE4, va madurando, a paso lento pero seguro (y hasta eso me parece muy rápido).

Ahora un ecualizador para ALSA, como dice Yafu...
Jeje, saludos!